package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.ZskTeam;
import com.bizmatics.mhfire.service.ZskTeamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**

 * 消防中队
 * @author ya
 * @since 2021-11-26
 */
@RestController
@RequestMapping("/zskTeam")
public class ZskTeamController {


    @Autowired
    public ZskTeamService zskTeamService;


    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<ZskTeam>> page(@RequestParam Integer current,
                                               @RequestParam Integer size){
        return ApiResult.success(zskTeamService.page(current, size));
    }

}

